#pragma once

#include "BaseWeapon.h"

namespace mechanics {
	class MeleeWeapon : public BaseWeapon {
	public:
		MeleeWeapon(assets::Item &provider, Animator &given_animator);
		virtual bool canParry() const;
		virtual bool canBlock() const { return true; }
	};
}